(function() {
    // Send automatically a form after one of it's input, which bears the data-input attributes, has changed
    document.querySelectorAll('[data-input="send-on-change"]').forEach(
        (element) => element.addEventListener("change", (e) => element.closest("form").submit())
    );
    
    let inputCopyElement = document.querySelector('[data-input="copy"]');
    
    if ( inputCopyElement ) {
        inputCopyElement.inputCopy = function() {
            let clone = this.cloneNode(true);
            
            this.parentNode.append(clone);
            
            this.parentNode.dispatchEvent(new CustomEvent("data-input:copied", {
                detail: {
                    obj: clone
                }
            }));
        };
    }
})();